API
Checking Raims account

List payment links

Look up payment links in your account with cursor pagination.

GEThttps://api.raims.com/v1/payment_links

Looks up payment links in the company and environment of your API key. The response shows the link and charge identifiers, checkout URL, is_active, return settings and payment method settings. Paused links remain in the list. Use the individual lookup to check whether the checkout can accept payment at this time. Use charge_id to look up the link for a specific charge.

Start without a cursor, process list and, while page.has_next is true, copy page.next_after to after in the next request. Copy the entire cursor without interpreting or calculating its contents and keep the same filter. See Listing and pagination to go back with before.

See how to look up the linked charge's financial data in Payment links.

Query Params

Number of links per page.

From 1 to 100

Cursor received in page.next_after. Keep the same charge_id filter.

Up to 128 characters

Cursor received in page.previous_before. Do not send together with after.

Up to 128 characters

Identifier of the charge whose link you want to look up.

Up to 100 characters

Responses

For common errors, see HTTP response codes.